Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.samples.basic
Class HeaderPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.portlet.samples.basic.HeaderPortlet

All Implemented Interfaces:
  Portlet

    public class HeaderPortlet

extends GenericPortlet

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary
`static int` | `GOLD`
`static int` | `PLATINUM`
`static int` | `SILVER`
`static int` | `TIN`
`static int` | `TITANIUM`

Constructor Summary
`HeaderPortlet()`

Method Summary
`void` | `processAction(ActionRequest req, ActionResponse resp)` Called by the portlet container to allow the portlet to process an action request.
`void` | `render(RenderRequest req, RenderResponse resp)` The default implementation of this method sets the title using the `getTitle` method and invokes the `doDispatch` method.
`void` | `serveResource(javax.portlet.ResourceRequest req, javax.portlet.ResourceResponse resp)`

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, doEdit, doHelp, doView, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITANIUM

    public static final int TITANIUM

See Also:
  Constant Field Values

### PLATINUM

    public static final int PLATINUM

See Also:
  Constant Field Values

### GOLD

    public static final int GOLD

See Also:
  Constant Field Values

### SILVER

    public static final int SILVER

See Also:
  Constant Field Values

### TIN

    public static final int TIN

See Also:
  Constant Field Values

Constructor Detail

### HeaderPortlet

    public HeaderPortlet()

Method Detail

### processAction

    public void processAction(ActionRequest req,
                              ActionResponse resp)
                       throws PortletException,
                              PortletSecurityException,
                              java.io.IOException

  Description copied from class: `GenericPortlet`
  Called by the portlet container to allow the portlet to process an action request. This method is called if the client request was originated by a URL created (by the portlet) with the `RenderResponse.createActionURL()` method.

  The default implementation throws an exception.

  Specified by:
    `processAction` in interface `Portlet`
  Overrides:
    `processAction` in class `GenericPortlet`
  Parameters:
    `req` - the action request
    `resp` - the action response
  Throws:
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to process the action at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons
    `java.io.IOException` - if the streaming causes an I/O problem

### render

    public void render(RenderRequest req,
                       RenderResponse resp)
                throws PortletException,
                       java.io.IOException

  Description copied from class: `GenericPortlet`
  The default implementation of this method sets the title using the `getTitle` method and invokes the `doDispatch` method.

  Specified by:
    `render` in interface `Portlet`
  Overrides:
    `render` in class `GenericPortlet`
  Parameters:
    `req` - the render request
    `resp` - the render response
  Throws:
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to perform render at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons
    `java.io.IOException` - if the streaming causes an I/O problem

### serveResource

    public void serveResource(javax.portlet.ResourceRequest req,
                              javax.portlet.ResourceResponse resp)
                       throws PortletException,
                              java.io.IOException

  Throws:
    `PortletException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.